import * as React from "react";
import { StyleProp, TextInputProps, ViewStyle, Animated, TextStyle, ImageStyle, ImageSourcePropType } from "react-native";
declare type CustomStyleProp = StyleProp<ViewStyle> | Array<StyleProp<ViewStyle>>;
declare type CustomTextStyleProp = StyleProp<TextStyle> | Array<StyleProp<TextStyle>>;
declare type CustomImageStyleProp = StyleProp<ImageStyle> | Array<StyleProp<ImageStyle>>;
interface IInteractiveTextInputProps extends TextInputProps {
    style?: CustomStyleProp;
    textInputStyle?: CustomTextStyleProp;
    iconContainerStyle?: CustomStyleProp;
    iconImageStyle?: CustomImageStyleProp;
    iconImageSource?: ImageSourcePropType;
    ImageComponent?: any;
    IconComponent?: any;
    enableIcon?: boolean;
    mainColor?: string;
    originalColor?: string;
    animatedPlaceholderTextColor?: string;
    onFocus?: () => void;
    onBlur?: () => void;
    onIconPress?: () => void;
}
interface IState {
}
export default class InteractiveTextInput extends React.Component<IInteractiveTextInputProps, IState> {
    interpolatedColor: Animated.Value;
    constructor(props: IInteractiveTextInputProps);
    showOriginColor: () => void;
    showFocusColor: () => void;
    renderIcon: () => false | JSX.Element | undefined;
    renderAnimatedTextInput: () => JSX.Element;
    render(): JSX.Element;
}
export {};
